ModernLoop Internal API
Apipylon

Update a Pylon issue (PATCH /issues/{id})

Write operation: mutates state in the upstream service.

curl -X PATCH "https://api.modernloop.dev/rest/v1/pylon/issues/string" \  -H "Authorization: Bearer $MLOOP_INTERNAL_MCP_API_KEY" \  -H "Content-Type: application/json" \  -d '{}'
{  "data": {    "id": "string",    "number": 0,    "title": "string",    "body_html": "string",    "state": "string",    "source": "string",    "type": "string",    "link": "string",    "tags": [      "string"    ],    "account": {      "id": "string"    },    "assignee": {      "id": "string",      "email": "string"    },    "requester": {      "id": "string",      "email": "string"    },    "team": {      "id": "string"    },    "attachment_urls": [      "string"    ],    "external_issues": [      {        "external_id": "string",        "link": "string",        "source": "string"      }    ],    "created_at": "string",    "latest_message_time": "string",    "first_response_time": "string",    "resolution_time": "string",    "snoozed_until_time": "string"  },  "request_id": "string"}
{  "data": {},  "pagination": {    "cursor": "string",    "has_next_page": true  },  "request_id": "string",  "errors": [    "string"  ]}
{  "error": {    "code": "string",    "message": "string",    "upstreamStatus": 0  }}
{  "error": {    "code": "string",    "message": "string",    "upstreamStatus": 0  }}
{  "errors": [    "string"  ],  "request_id": "string"}
{  "errors": [    "string"  ],  "request_id": "string"}
{  "error": {    "code": "string",    "message": "string",    "upstreamStatus": 0  }}
{  "error": {    "code": "string",    "message": "string",    "upstreamStatus": 0  }}

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

id*string

Issue UUID or issue number

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

state?string

new, waiting_on_you, waiting_on_customer, on_hold, closed, or a custom status slug

assignee_id?string

User ID to assign (empty string to unassign)

team_id?string
tags?array<string>

Tags to set on the issue

tags_apply_mode?string

Value in

  • "append_only"
  • "remove_only"
  • "replace"
snooze_until?string

ISO-8601 timestamp to snooze until

custom_fields?array<>

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json